Bug 47158 - Distributed App installation hangs, installing packages on the master
Distributed App installation hangs, installing packages on the master
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-1-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-07 16:08 CEST by Christina Scheinig
Modified: 2018-06-28 10:51 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.343
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2018060621000763
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christina Scheinig univentionstaff 2018-06-07 16:08:21 CEST
An app, which needs to install schema-packages on the master, cannot be installed via UMC of the master on an other serverrole.
The log /var/log/univention/management-console-module-appcenter.log shows:

01.06.18 00:28:04.893  MODULE      ( PROCESS ) : Paketlisten werden gelesen...
01.06.18 00:28:05.151  MODULE      ( PROCESS ) : The following packages would be INSTALLED/UPGRADED:
01.06.18 00:28:05.151  MODULE      ( PROCESS ) :  * ieee-data
01.06.18 00:28:05.151  MODULE      ( PROCESS ) :  * libpkcs11-helper1
01.06.18 00:28:05.152  MODULE      ( PROCESS ) :  * openvpn
01.06.18 00:28:05.152  MODULE      ( PROCESS ) :  * python-cheetah
01.06.18 00:28:05.152  MODULE      ( PROCESS ) :  * python-netaddr
01.06.18 00:28:05.153  MODULE      ( PROCESS ) :  * python-univention-openvpn-common
01.06.18 00:28:05.153  MODULE      ( PROCESS ) :  * python-webpy
01.06.18 00:28:05.153  MODULE      ( PROCESS ) :  * univention-openvpn-server
01.06.18 00:28:05.153  MODULE      ( PROCESS ) :  * univention-openvpn-sitetosite
01.06.18 00:28:05.465  MODULE      ( PROCESS ) : Installiere LDAP Pakete auf master.schein.ig
01.06.18 00:28:09.285  MODULE      ( ERROR   ) : master.schein.ig: 400 on master.schein.ig (command/appcenter/invoke): {"status": 400, "message": "Zur Zeit wird eine andere Paketverarbeitung durchgef\u00fchrt", "traceback": null, "location": "https://master.schein.ig/univention/command"}                                                                                                                                                                                                                                                                                                                                                        
01.06.18 00:28:09.285  MODULE      ( WARN    ) : Installing extension of LDAP schema for openvpn4ucs_20180126164310 seems to have failed on DC Master master.schein.ig
01.06.18 00:28:09.350  MODULE      ( WARN    ) : Exception during install openvpn4ucs: 400 on master.schein.ig (command/appcenter/invoke): {"status": 400, "message": "Zur Zeit wird eine andere Paketverarbeitung durchgef\u00fchrt", "traceback": null, "location": "https://master.schein.ig/univention/command"} 

Using the cli command 'univention-app install' the app can be installed.
I could reproduce it with the app openvpn4ucs on master/slave and with kopano on master/backup
Comment 1 Erik Damrose univentionstaff 2018-06-19 11:58:33 CEST
I can reproduce this on 4.3-1+e112 dc master + dc slave.

19.06.18 11:37:52.535  MODULE      ( PROCESS ) : Installiere LDAP Pakete auf master2.mydomain.intranet
19.06.18 11:37:53.320  DEBUG_INIT
19.06.18 11:37:54.505  MODULE      ( PROCESS ) : Loading python module.
19.06.18 11:37:55.018  MODULE      ( PROCESS ) : Imported python module.
19.06.18 11:37:55.018  MODULE      ( PROCESS ) : Module instance created.
19.06.18 11:37:55.018  MODULE      ( PROCESS ) : Module socket initialized.
19.06.18 11:37:55.039  MODULE      ( PROCESS ) : Setting user LDAP DN 'uid=Administrator,cn=users,dc=mydomain,dc=intranet'
19.06.18 11:37:55.039  MODULE      ( PROCESS ) : Setting auth type to None
19.06.18 11:37:55.039  MODULE      ( PROCESS ) : Initializing module.
...
19.06.18 11:37:57.155  MODULE      ( PROCESS ) : Try to install (install-schema) kopano-core on None. Force? True. Only master packages? True. Prevent installation on other systems? True. Only dry run? None.
19.06.18 11:37:57.157  MODULE      ( PROCESS ) : Zur Zeit wird eine andere Paketverarbeitung durchgeführt
19.06.18 11:37:57.289  MODULE      ( WARN    ) : slave2: Installing extension of LDAP schema for kopano-core_20180102102306 seems to have failed on DC Master master2.mydomain.intranet

There is no apt or dpkg process running on master or slave. The UMC App Center module hangs at the progress bar for more than 10 minutes with the message
Installiere Kopano Core auf Rechner slave2
50 %
Installiere LDAP Pakete auf master2.mydomain.intranet
Comment 2 Dirk Wiesenthal univentionstaff 2018-06-27 01:41:39 CEST
Fixed in
  univention-appcenter 7.0.2-5A~4.3.0.201806270128

While the remote progress is fetched, we still need make clear that we are working, but we do not need to be locked.
Comment 3 Dirk Wiesenthal univentionstaff 2018-06-27 11:25:44 CEST
Has to be released for 4.3-0, too.
Comment 4 Felix Botner univentionstaff 2018-06-27 13:41:15 CEST
OK - Installation kopano-core on slave  from the master
OK - Installation kopano-core on slave from the slave
OK - Installation kopano-core on master from the slave
OK - Update kopano-core on slave from master
OK - Update kopano-core on slave from slave
OK - Update kopano-core on master from slave

OK - YAML
Comment 5 Erik Damrose univentionstaff 2018-06-28 10:51:12 CEST
<http://errata.software-univention.de/ucs/4.3/126.html>